"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _ThemeContext = _interopRequireDefault(require("./ThemeContext"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var propTypes = {
  /**
   * The components to be rendered within the context of the ThemeContextProvider. Components rendered here are able to interact with ThemeContextProvider through the ThemeContext.
   */
  children: _propTypes.default.element.isRequired,
  /**
   * An object containing the name, className, and density of the selected theme.
   */
  theme: _propTypes.default.shape({
    name: _propTypes.default.string,
    className: _propTypes.default.string,
    density: _propTypes.default.string
  })
};
var defaultProps = {
  theme: {}
};
var ThemeContextProvider = function ThemeContextProvider(_ref) {
  var theme = _ref.theme,
    children = _ref.children;
  var contextValue = (0, _react.useMemo)(function () {
    return {
      name: theme.name,
      className: theme.className,
      density: theme.density
    };
  }, [theme.name, theme.className, theme.density]);
  return /*#__PURE__*/_react.default.createElement(_ThemeContext.default.Provider, {
    value: contextValue
  }, children);
};
ThemeContextProvider.propTypes = propTypes;
ThemeContextProvider.defaultProps = defaultProps;
var _default = exports.default = ThemeContextProvider;